Subject: Re: linux-next: build failure after merge of the v4l-dvb tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Fri, 25 Jul 2014 18:50:05 -0300

Em Fri, 25 Jul 2014 07:25:05 +0200
David Härdeman <[email-masked]> escreveu:

> Mauro,
> 
> On July 25, 2014 4:23:17 AM CEST, Stephen Rothwell <[email-masked]> wrote:
> >Hi Mauro,
> >
> >After merging the v4l-dvb tree, today's linux-next build (x86_64
> >allmodconfig)
> >failed like this:
> >
> >drivers/hid/hid-picolcd_cir.c: In function 'picolcd_init_cir':
> >drivers/hid/hid-picolcd_cir.c:117:6: error: 'struct rc_dev' has no
> >member named 'allowed_protos'
> >  rdev->allowed_protos   = RC_BIT_ALL;
> >      ^

Sorry for not noticing. I generally don't do full builds, as doing it
for all archs would require a bigger compilation system than what I
have here. I generally do only partial builds for (almost) all archs
before pushing at linux-next, because it is very hare that a change
on media would break anything outside it.

> I'll have time to look at it on Monday/Tuesday unless you beat me to it.
> 

Well, I can beat you on that ;) it should be allowed_protocols. I'll
fix it here and do a full build to see if you made this mistake on
some other file, as this is the second file where you typed it wrong ;)

Regards,
Mauro